org.apache.uima.search.impl

## Class Mapping_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.search.impl.Mapping_impl

- All Implemented Interfaces:
    Serializable, Cloneable, MetaDataObject, Mapping, XMLizable

      public class Mapping_impl
      extends MetaDataObject_impl
      implements Mapping

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mapping_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFeature()` Gets the name of the feature that should be indexed.
    `String` | `getIndexName()` Gets the name that will be used to represent this feature in the index.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `setFeature(String aFeature)` Sets the name of the feature that should be indexed.
    `void` | `setIndexName(String aIndexName)` Sets the name that will be used to represent this feature in the index.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Mapping_impl

          public Mapping_impl()

  - ### Method Detail

    - #### getFeature

          public String getFeature()

      Description copied from interface: `Mapping`
      Gets the name of the feature that should be indexed.
      Specified by:
        `getFeature` in interface `Mapping`
      Returns:
        the CAS feature name

    - #### setFeature

          public void setFeature(String aFeature)

      Description copied from interface: `Mapping`
      Sets the name of the feature that should be indexed.
      Specified by:
        `setFeature` in interface `Mapping`
      Parameters:
        `aFeature` - the CAS feature name

    - #### getIndexName

          public String getIndexName()

      Description copied from interface: `Mapping`
      Gets the name that will be used to represent this feature in the index. This determines the name that must be used to query for this feature.
      Specified by:
        `getIndexName` in interface `Mapping`
      Returns:
        the index name for the feature

    - #### setIndexName

          public void setIndexName(String aIndexName)

      Description copied from interface: `Mapping`
      Sets the name that will be used to represent this feature in the index. This determines the name that must be used to query for this feature.
      Specified by:
        `setIndexName` in interface `Mapping`
      Parameters:
        `aIndexName` - the index name for the feature

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.